Bug 168354 - devel/bmake: update to 20120520 snapshot
devel/bmake: update to 20120520 snapshot
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Frederic Culot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 22:20 UTC by Mikolaj Golub
Modified: 2012-05-28 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.19 KB, patch)
2012-05-26 22:20 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2012-05-26 22:20:00 UTC
- Update to 20120520.
- Add LICENSE.

Changes:

2012-05-20  Simon J. Gerraty  <sjg@bad.crufty.net>

        * Makefile.in (MAKE_VERSION): bump version to 20120520
          Merge with NetBSD make, pick up
          o increased limit for nested conditionals.

2012-05-18  Simon J. Gerraty  <sjg@bad.crufty.net>

        * Makefile.in (MAKE_VERSION): bump version to 20120518
          Merge with NetBSD make, pick up
          o use _exit(2) in signal hanlder
          o Don't use the [dir] cache when building nodes that might have
            changed since the last exec.
          o Avoid nested extern declaration warnings.

2012-04-27  Simon J. Gerraty  <sjg@bad.crufty.net>

        * meta.c (fgetLine): avoid %z - not portable.
        * parse.c: Since we moved include of sys/mman.h
          and def's of MAP_COPY etc. we got dups from a merge.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-05-26 22:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trociny

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Mikolaj Golub freebsd_committer 2012-05-27 06:54:41 UTC
Responsible Changed
From-To: trociny->freebsd-ports-bugs

Approved.
Comment 3 Frederic Culot freebsd_committer 2012-05-27 08:02:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 4 dfilter freebsd_committer 2012-05-28 08:42:11 UTC
culot       2012-05-28 07:41:59 UTC

  FreeBSD ports repository

  Modified files:
    devel/bmake          Makefile distinfo 
  Log:
  - Update to 20120520
  - Add LICENSE (BSD)
  
  PR:             ports/168354
  Submitted by:   trociny@ (maintainer)
  
  Revision  Changes    Path
  1.14      +3 -1      ports/devel/bmake/Makefile
  1.13      +2 -2      ports/devel/bmake/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Frederic Culot freebsd_committer 2012-05-28 08:42:30 UTC
State Changed
From-To: open->closed

Committed, thanks Mikolaj!